<?PHP
/*
+---------------------------+
|         MaTribux          |
+---------------------------+
|       Copyright (C)       |
|     Fabrice GRUNCHEC      |
|                           |
|     grunchec@mail.com     |
| http://www.matribux.fr.st |
+---------------------------+
$Revision: 1.21 $
*/
require "config.php3";
require "lang/user.$matribux_language.php3";

// Check if forum exists
if (!isset($forum_password[$forum]))
{
	require "header.php3";
	echo ("<span class=\"error\">$str_wrong_forum</span><br><a href=\"index.php3\">$back</a>");
	require "footer.php3";	
	die();
}

// If quick login (without password typing), find the cookie which contains the pwd
if ($pwd == "")
	$pwd = $saved_pwd[$forum];

// Check the password
require "check_pwd.php3";

// If cookies are enabled, save the password in a cookie 
if ($cookies_enabled == 1)
	setcookie ("saved_pwd[$forum]", "$pwd", time()+16070400);

// Connect to DB
require "connexion.php3";

// Update of the last read message
if(!isset($no_page))
{
	setcookie ("last_read_old[$forum]", "$last_read_new[$forum]", time()+16070400);
	$sql  = "SELECT no FROM matribux WHERE forum='$forum' ORDER BY no DESC LIMIT 0,1";
	$id = @mysql_query($sql, $res);
	$id <> 0 or die("<span class=\"error\">$str_sql_unexpected_error</span>");
	$row = mysql_fetch_array($id);
	if (isset($row[0]))
		setcookie ("last_read_new[$forum]", "$row[0]", time()+16070400);
}

require "header.php3";
?>

<SCRIPT LANGUAGE="JavaScript">
function writeMessage(no)
{
document.writeMessageForm.no.value = no;
document.writeMessageForm.submit();
}
function seeAll()
{
document.changePageForm.srchwrd.value = '';
document.changePageForm.submit();
}
function changePage(no_page)
{
document.changePageForm.no_page.value = no_page;
document.changePageForm.submit();
}
<?PHP
if ($pwd == $root_pwd)
	echo "
function deleteMessage(no_message,no_page)
{
document.deleteMessageForm.no_message.value = no_message;
document.deleteMessageForm.no_page.value = no_page;
document.deleteMessageForm.submit();
}
function setupForums()
{document.setupForumsForm.submit();}
";
?>
</SCRIPT>

<FORM NAME="writeMessageForm" METHOD="post" ACTION="write_message.php3">
<INPUT TYPE="hidden" NAME="forum" VALUE="<?PHP echo $forum ?>" >
<INPUT TYPE="hidden" NAME="pwd" VALUE="<?PHP echo $pwd ?>" >
<INPUT TYPE="hidden" NAME="no" VALUE="" >
</FORM>

<?PHP
if ($pwd == $root_pwd)
	echo"
<FORM NAME=\"deleteMessageForm\" METHOD=\"post\" ACTION=\"delete_message.php3\">
<INPUT TYPE=\"hidden\" NAME=\"forum\" VALUE=\"$forum\" >
<INPUT TYPE=\"hidden\" NAME=\"pwd\" VALUE=\"$pwd\" >
<INPUT TYPE=\"hidden\" NAME=\"no_message\" VALUE=\"\" >
<INPUT TYPE=\"hidden\" NAME=\"no_page\" VALUE=\"\" >
</FORM>
<FORM NAME=\"setupForumsForm\" METHOD=\"post\" ACTION=\"setup_forums.php3\">
<INPUT TYPE=\"hidden\" NAME=\"pwd\" VALUE=\"$pwd\" >
</FORM>";
?>

<table width=100% border=0>
  <tr>
    <td width=80%><h1><?PHP echo $str_string_before_forum.$forum.$str_string_after_forum ?></h1></td>
<?PHP
// Si on est en mode 'recherche', "arranger" la variable "$srchwrd"
if ($srchwrd != '')
	$srchwrd = htmlspecialchars($srchwrd); 
?>
    <td align="center" width="20%">
<FORM NAME="changePageForm" METHOD="post" action="forum.php3">
<INPUT TYPE="hidden" NAME="forum" VALUE="<?PHP echo $forum ?>" >
<INPUT TYPE="hidden" NAME="pwd" VALUE="<?PHP echo $pwd ?>" >
<INPUT TYPE="hidden" NAME="no_page" VALUE="" >
<span class="text"><?PHP echo $str_search_in_forum ?></span><br>
<INPUT TYPE="text" NAME="srchwrd" maxlength="30" size=15 value="<?PHP echo stripslashes($srchwrd) ?>
">
<INPUT TYPE="submit" value="<?PHP echo $str_go ?>"></INPUT>
</FORM>
    </td>
</tr>
</table>

<a href="javascript:writeMessage('')"><?PHP echo $str_post_new_message ?></a>
<a href="javascript:location.reload()" target="_self"><?PHP echo $str_refresh ?></a>
<?PHP
// If 'search mode', print a link to come back to 'normal mode'
if ($srchwrd != '')
	echo "<a href=\"javascript:seeAll()\">$str_stop_search</a>&nbsp;";
if ($pwd == $root_pwd)
	echo"<a href=\"javascript:setupForums()\">$str_setup_forums_link</a>";

echo "<br><br><br>";

// If no defined page, the default page is #0 
if ($no_page == '')
   $no_page = 0;

// If 'search mode', print the '$str_search_results_on' string
if ($srchwrd != '')
{
	echo "<span class=\"text\"><center>$str_search_results_on&nbsp;'<i>".stripslashes($srchwrd)."</i>'</center></span><br>";

// Count forum messages
	$sql = "SELECT COUNT(*) FROM matribux WHERE forum='$forum' AND (sujet LIKE '%$srchwrd%' OR nom LIKE '%$srchwrd%' OR message LIKE '%$srchwrd%' OR date LIKE '%$srchwrd%')";}
else
	$sql = "SELECT COUNT(*) FROM matribux WHERE forum='$forum'";

$id = @mysql_query($sql, $res);
$id <> 0 or die("<span class=\"error\">$str_sql_unexpected_error</span>");
$row = mysql_fetch_array($id);
$nb_records = $row[0];

// Count number of pages to print
//$nb_pages = bcdiv($nb_records,$mess_per_page,0);
$nb_pages = floor($nb_records / $mess_per_page);

// If the remaining of the int div is zero then the last page is empty so $nb_pages--
if ($nb_records == ($nb_pages*$mess_per_page))
	$nb_pages--;

// If the number of printed pages is limited...
if (isset($nb_pages_max) and $nb_pages >= $nb_pages_max)
	$nb_pages = $nb_pages_max-1;

////////////////////////////////////////
// Construction of the navigation bar //
////////////////////////////////////////

$page_str = "<span class=\"text\"><center>";

// If no message...
if ($nb_records == 0)
	$page_str = $page_str.$str_no_message;
else
{
$page_str = $page_str.$str_pages.":&nbsp;";

$close = $no_page - 1;
if ($close >= 0)
   $page_str = $page_str." <a href=\"javascript:changePage($close)\">&lt;&lt;&nbsp;$str_previous_page</a>";

for($i=0; $i<=$nb_pages; $i++)
{
	if ($i == $no_page)
		$page_str = $page_str." $i";
	else
		$page_str = $page_str." <a href=\"javascript:changePage($i)\">$i</a>";
}

$close = $no_page + 1;
if ($close<=$nb_pages)
	$page_str = $page_str." <a href=\"javascript:changePage($close)\">$str_next_page&nbsp;&gt;&gt;</a>";

}

$page_str = $page_str."</center></span>";
/////////////////////////////////////////////////////////////////////////////////////////



// Print the navigation bar
echo $page_str."<br>"; 

// Compute the number of the first message to print
$no_record = $no_page*$mess_per_page; // le message 0 est le + recent et s'affiche en haut de la page 0

// Get all messages to be printed
if ($srchwrd != '')
	$sql  = "SELECT * FROM matribux WHERE forum='$forum' AND (sujet LIKE '%$srchwrd%' OR nom LIKE '%$srchwrd%' OR message LIKE '%$srchwrd%' OR date LIKE '%$srchwrd%') ORDER BY no DESC LIMIT $no_record,$mess_per_page";
else
	$sql  = "SELECT * FROM matribux WHERE forum='$forum' ORDER BY no DESC LIMIT $no_record,$mess_per_page";	

$id = @mysql_query($sql, $res);
$id <> 0 or die("<span class=\"error\">$str_sql_unexpected_error</span>");

while($row = mysql_fetch_array($id))
{
$bloc = "
<table width=100% border=0 cellspacing=0>
	<tr";
if ($subject_background_color != "")
	$bloc = $bloc." bgcolor=".$subject_background_color;
$bloc = $bloc.">
		<td><span class=\"subject\">";
		
if ($srchwrd != '')
	$bloc = $bloc.eregi_replace(stripslashes($srchwrd),"</span><span class=\"searchedWord\">".stripslashes($srchwrd)."</span><span class=\"subject\">",stripslashes($row[2]));
else
	$bloc = $bloc.stripslashes($row[2]);

$bloc = $bloc."</span>";

if ($row[6]>$last_read_old[$forum])
	$bloc = $bloc."</td><td align=\"right\"><span class=\"subject\"><font size=+1><b>$str_new</b></font></span>";
			
$bloc = $bloc."</td></tr></table>
<table width=100% border=0 cellspacing=5>
	<tr";
if ($message_background_color != "")
	$bloc = $bloc." bgcolor=".$message_background_color;
$bloc = $bloc.">
	<td><span class=\"authorDateTitle\">$str_author:&nbsp;</span><span class=\"authorDate\">";

if ($srchwrd != '')
	$bloc = $bloc.eregi_replace(stripslashes($srchwrd),"</span><span class=\"searchedWord\">".stripslashes($srchwrd)."</span><span class=\"authorDate\">",stripslashes($row[1]));
else
	$bloc = $bloc.stripslashes($row[1]);


if ($print_host)
	$bloc = $bloc." [".$row[5]."]";
	
$bloc = $bloc."</span><br>
	<span class=\"authorDateTitle\">$str_date:&nbsp;</span><span class=\"authorDate\">";

if (substr($row[4],0,10) == date("Y-m-d"))
	$date = $str_today_at."&nbsp;".substr($row[4],11,8);
else
	$date = $row[4];


if ($srchwrd != '')
	$bloc = $bloc.eregi_replace(stripslashes($srchwrd),"</span><span class=\"searchedWord\">".stripslashes($srchwrd)."</span><span class=\"authorDate\">",$date);
else
	$bloc = $bloc.$date;

$bloc = $bloc."</span><br><br><span class=\"message\">";
	
if ($srchwrd != '')
	$bloc = $bloc.eregi_replace(stripslashes($srchwrd),"</span><span class=\"searchedWord\">".stripslashes($srchwrd)."</span><span class=\"message\">",stripslashes($row[3]));
else
	$bloc = $bloc.stripslashes($row[3]);
	
$bloc = $bloc."</span><br>
	<div align=\"$reply_position\">";

if ($pwd == $root_pwd)
	$bloc = $bloc."<a href=\"javascript:deleteMessage(".$row[6].",$no_page)\">$str_delete</a>&nbsp;";
	
// Print the message string
echo $bloc."<a href=\"javascript:writeMessage(".$row[6].")\">$str_answer</a></div>
	</td>
</tr>
</table>
<br><br>";
}

// If no message, do not print the lower navigation bar
if ($nb_records != 0)
	echo $page_str;

require "footer.php3" ?>
